package org.dyndns.nuda.logger;

import org.dyndns.nuda.plugin.PluginDescription;
import org.dyndns.nuda.reflect.ClassLoaderUtil;

@PluginDescription(name="JDKLogAdaptorResolver")
public class JDKLogAdaptorResolver implements LogAdaptorResolver {
	
	@Override
	public boolean accept() {
		boolean result =
			ClassLoaderUtil.isClassDefined("java.util.logging.Logger");
		return result;
	}
	
	@Override
	public LoggerAdaptor getAdaptor() {
		return new JDKLoggerAdaptor();
	}

	@Override
	public void init() {
		AutoLoggerAdaptorResolver.addLogAdaptorResolver(this);
	}
	
}
