package org.dyndns.nuda.logger;

import org.dyndns.nuda.plugin.PluginDescription;
import org.dyndns.nuda.reflect.ClassLoaderUtil;

@PluginDescription(name="SLF4JLogAdaptorResolver")
public class SLF4JLogAdaptorResolver implements LogAdaptorResolver {
	
	@Override
	public boolean accept() {
		
		boolean result = ClassLoaderUtil.isClassDefined("org.slf4j.Logger");
		return result;
	}
	
	@Override
	public LoggerAdaptor getAdaptor() {
		return new SLF4JLoggerAdaptor();
	}

	@Override
	public void init() {
		AutoLoggerAdaptorResolver.addLogAdaptorResolver(this);
	}
	
}
